Page MenuHomePhabricator

TimedText Line Breaks & Hard Spaces That Don't Collapse
Closed, DuplicatePublic

Description

Author: ace.frahm+BugzillaMozillaORG

Description:
It appears that there is no way to create a line break in the TimedText .srt format on wikimedia commons, and no way to make sure spaces don't collapse.

I believe the .srt format for closed captioning stuff does allow this, but the way wikimedia works isn't making it possible. Or at least, if the lines DO break, the 2nd line gets hidden in the in-browser player so it can't be read.

Can you fix this, and tell me how to do line breaks & hard spaces when it is possible?


Version: master
Severity: normal

Details

Reference
bz46527

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:16 AM
bzimport added a project: TimedMediaHandler.
bzimport set Reference to bz46527.
bzimport created this task.Mar 25 2013, 5:28 AM

TimedText -> MediaWiki extensions/TimedMediaHandler.

Ace: A testcase is highly welcome, e.g. what exactly you have tried already.
<br/> does not work for you to create a line break?

If I understand "make sure spaces don't collapse" correctly, have you tried setting white-space-collapse="true" or "false"?

Also see http://www.w3.org/TR/ttaf1-dfxp/

ace.frahm+BugzillaMozillaORG wrote:

I tried <br />, I tried \n, \N, hyphens, pasting in Windows CRLF line breaks, UNIX LF line breaks, I tried | characters, I tried adding a leading space to the 2nd line, I tried extra CRLFs, I tried extra '\', and maybe some other things too, so many it is hard to recall.

I tried \h to get hard spaces, and putting the spaces in single quotes, but that didn't work either.

Perhaps the cortado player for Internet Explorer doesn't behave properly with .srt files' 2nd lines, or perhaps the wikimedia system is altering the presentation of the .srt text to the player?

How is anybody supposed to add CSS such as white-space-collapse="false" to a .srt TimedText?

This is the .srt file I'm working on:
http://commons.wikimedia.org/wiki/TimedText:Pie_In_The_Sky.ogg.en.srt

The link you give for TimedText seems to specify completely different markup than I've ever seen anywhere else before. Is there a way to use that with video & audio on mediawiki instead of .srt files?

ace.frahm+BugzillaMozillaORG wrote:

I tried <br />, I tried \n, \N, hyphens, pasting in Windows CRLF line breaks, UNIX LF line breaks, I tried | characters, I tried adding a leading space to the 2nd line, I tried extra CRLFs, I tried extra '\', and maybe some other things too, so many it is hard to recall.

I tried \h to get hard spaces, and putting the spaces in single quotes, but that didn't work either.

Perhaps the cortado player for Internet Explorer doesn't behave properly with .srt files' 2nd lines, or perhaps the wikimedia system is altering the presentation of the .srt text to the player?

How is anybody supposed to add CSS such as white-space-collapse="false" to a .srt TimedText?

This is the .srt file I'm working on:
http://commons.wikimedia.org/wiki/TimedText:Pie_In_The_Sky.ogg.en.srt

The link you give for TimedText seems to specify completely different markup than I've ever seen anywhere else before. Is there a way to use that with video & audio on mediawiki instead of .srt files?

I merged this into T55926 as it has more subscribers.

brion added a subscriber: brion.Aug 11 2015, 9:17 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptAug 11 2015, 9:17 PM
brion removed a subscriber: brion.Aug 11 2015, 9:18 PM
TheDJ added a subscriber: TheDJ.

At some point, this task was merged into T55926, but that is a different issue. I have merged it once more, but this time into T78511